Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Feb 2017 16:10:14 +0200

> From: [email-masked] (N. Jackson)
> Cc: [email-masked]
> Date: Fri, 24 Feb 2017 08:41:15 -0500
> 
> Sorry for the confusion there, Eli. What I mean(t) is that I start
> a new GUI Emacs by entering
> 
>   src/emacs &
> 
> in a terminal/console such as XTerm or Konsole. (This is how I
> normally start Emacs.)
> 
> The only relevance of the start from the terminal/console is that
> I then see the warnings and errors emitted. (If I had started it
> from the window manager / desktop environment then those would not
> be visible to me.)

Right, got it.

So the question now becomes: how is invoking x-create-frame-with-faces
via frameset-restore is different from the same operation invoked,
say, via "C-x 5 b"?  (I understand that the latter doesn't cause GTK
to emit the warning, right?)